# Interactive Globe Module

## Overview
The Interactive Globe module provides a visually engaging way to display information around a globe-like interface. It allows users to interact with icons placed around a globe, revealing associated texts upon interaction.

## Features
- Display a customizable globe with background images.
- Place interactive icons around the globe.
- Show text related to each icon when interacted with.
- Flexible configuration for text formatting and icon placement.

## Requirements
- PHP
- JavaScript

## Installation
1. Clone the module into your Drupal `web/modules/custom` directory.
2. Navigate to the Drupal administration panel and go to the Extend page.
3. Find the Interactive Globe module in the custom modules section and enable it.

## Configuration
After installation, you can configure the Interactive Globe block by adding the block to a region and adjusting its settings:
- **Background Image**: Set the URL for the globe's background image.
- **Icons**: Upload icons to be displayed on the globe.
- **Texts**: Associate each icon with text. You can format the text and choose whether to skip certain text filters.

## Usage
Once configured, the Interactive Globe will display on the pages where you've placed its block. Users can interact with the icons to reveal associated texts.

## Customization
- **CSS**: Customize the appearance of the globe, icons, and texts by editing `interactive-globe.css`.
- **Templates**: Modify `interactive-globe.html.twig` to change the markup of the globe and its elements.

## Contributing
Contributions to the Interactive Globe module are welcome. Please submit pull requests or issues through the project's GitHub repository.

## License
This module is licensed under the [MIT License](LICENSE).

## Contact
For questions or support, please open an issue in the GitHub repository.
