document.addEventListener('DOMContentLoaded', function () {
    const iconeInitialIndex = 0; // Index de la première icône
    initPositionAndText(iconeInitialIndex);

    document.querySelectorAll('.icone').forEach((icone, index) => {
        icone.addEventListener('click', function () {
            initPositionAndText(index);
        });
    });
});

function initPositionAndText(index)
{
    const anglePerIcon = 360 / 6; // 360 degrés divisés par 6 icônes
    const currentAngle = anglePerIcon * index; // Angle actuel basé sur l'index
    const offsetToThreeOclock = 0 - currentAngle; // Calcul de l'offset pour amener l'icône à 3h

  // Appliquer la rotation à toutes les icônes et gérer les textes
    document.querySelectorAll('.icone').forEach((otherIcon, otherIndex) => {
        const otherIconCurrentAngle = anglePerIcon * otherIndex;
        const newAngle = (otherIconCurrentAngle + offsetToThreeOclock) % 360;
        otherIcon.style.transform = `rotate(${newAngle}deg) translateX(200px) rotate(${-newAngle}deg)`;

      // Cacher tous les textes et retirer l'agrandissement
        document.getElementById(`text${otherIndex + 1}`).style.display = 'none';
        otherIcon.classList.remove('icone-enlarged');
    });

  // Afficher le texte pour l'icône à 3 heures et agrandir l'icône
    document.getElementById(`text${index + 1}`).style.display = 'block';
    document.querySelectorAll('.icone')[index].classList.add('icone-enlarged');

// Alt all youtube video if clicked on another icon
function stopAllVideos()
{
    var iframes = document.querySelectorAll('iframe[src*="youtu.be"]');
    iframes.forEach(function (iframe) {
        var temp = iframe.src;
        iframe.src = '';
        iframe.src = temp;
    });
}

document.addEventListener('DOMContentLoaded', function () {
    document.querySelectorAll('.icone').forEach(function (icon) {
        icon.addEventListener('click', function () {
            stopAllVideos();
        });
    });
});

}
